%global glib_version 2.72
%global gtk_version 4.6
%global api_ver 5

Summary:        Source code editing widget
Name:           gtksourceview5
Version:        5.8.0
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GtkSourceView
Source0:        https://download.gnome.org/sources/gtksourceview/%{api_ver}.4/gtksourceview-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  gettext vala itstool
BuildRequires:  pkgconfig(fontconfig) pkgconfig(fribidi)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib_version} pkgconfig(glib-2.0) >= %{glib_version}
BuildRequires:  pkgconfig(gobject-2.0) >= %{glib_version} pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= %{gtk_version} pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libpcre2-8) pkgconfig(pangoft2) pkgconfig(sysprof-capture-4)
Requires: glib2 >= %{glib_version}
Requires: gtk4 >= %{gtk_version}
Requires: hicolor-icon-theme

%description
This package provides a GNOME library that extends GtkTextView, the standard GTK+ widget for 
multiline text editing. It contains version %{api_ver} of GtkSourceView.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description    tests
This package contains tests that can be used to verify the functionality of the %{name} package.

%prep
%autosetup -n gtksourceview-%{version} -p1

%build
%meson -Dgtk_doc=false -Dsysprof=true -Dinstall_tests=true
%meson_build

%install
%meson_install

%find_lang gtksourceview-%{api_ver}

%files -f gtksourceview-%{api_ver}.lang
%license COPYING
%doc NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GtkSource-%{api_ver}.typelib
%{_libdir}/libgtksourceview-%{api_ver}.so.0*
%{_datadir}/gtksourceview-%{api_ver}/
%{_datadir}/icons/hicolor/scalable/actions/*

%files devel
%{_includedir}/gtksourceview-%{api_ver}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtksourceview-%{api_ver}.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GtkSource-%{api_ver}.gir
%{_datadir}/doc/gtksourceview5
%{_datadir}/vala

%files tests
%{_bindir}/gtksourceview%{api_ver}-widget
%{_libexecdir}/installed-tests
%{_datadir}/installed-tests

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 jackeyji <jackeyji@tencent.com> - 5.8.0-1
- upgrade to 5.8.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Wang Guodong <gordonwwang@tencent.com> - 5.6.1-1
- package init.
